Bug 1158937 - irqbalance signal handling
Summary: irqbalance signal handling
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: irqbalance
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Petr Holasek
QA Contact: Andrej Manduch
URL:
Whiteboard:
Depends On: 1158932
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-30 14:28 UTC by Andrej Manduch
Modified: 2019-02-15 03:09 UTC (History)
6 users (show)

Fixed In Version: irqbalance-1.0.7-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 1158932
Environment:
Last Closed: 2015-11-19 05:21:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:2207 normal SHIPPED_LIVE irqbalance bug fix update 2015-11-19 08:17:13 UTC

Description Andrej Manduch 2014-10-30 14:28:30 UTC
+++ This bug was initially created as a clone of Bug #1158932 +++

Description of problem:

Irqbalance will exit on every single signal which receive except SIGHUP (which is ok).

When irqbalance receive SIGINT it will unlink pidfile and exit correctly (this is still ok). However if irqbalance receive another signal It will just crash (it will exit but without unlinking pidfile)

irqbalance crash even when receives `innocent` signals like SIGUSR1...

I'm not sure if this is bug or desired behaviour however I'll be happy if somebody will take look at that.

Comment 4 Andrej Manduch 2015-09-21 11:28:41 UTC
I tested it on beaker test and it looks ok:

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Setup
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [ 07:24:53 ] :: enough processors, let's start

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Signal handling test
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: SIGHUP is handled corectly 
:: [   PASS   ] :: irqbalance was terminater by SIGINT signal 
:: [   PASS   ] :: irqbalance is running after sending CHLD to it 
:: [   PASS   ] :: irqbalance is running after sending HUP to it 
:: [   PASS   ] :: irqbalance was terminater by SIGTERM signal 
:: [   PASS   ] :: irqbalance was terminater by SIGUSR1 signal 
:: [   PASS   ] :: irqbalance was terminater by SIGUSR2 signal 

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Cleanup
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

irqbalance: no process found

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: TEST PROTOCOL
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: Package       : irqbalance
:: [   LOG    ] :: Installed:    : irqbalance-1.0.7-5.el7.x86_64 
:: [   LOG    ] :: beakerlib RPM : beakerlib-1.10-2.el7eso
:: [   LOG    ] :: bl-redhat RPM : beakerlib-redhat-1-18.el7eso
:: [   LOG    ] :: Test started  : 2015-09-21 07:24:53 EDT
:: [   LOG    ] :: Test finished : 2015-09-21 07:26:28 EDT
:: [   LOG    ] :: Test name     : /CoreOS/irqbalance/basic
:: [   LOG    ] :: Distro:       : Red Hat Enterprise Linux Server release 7.2 Beta (Maipo)
:: [   LOG    ] :: Hostname      : dell-pem620-01.lab.bos.redhat.com
:: [   LOG    ] :: Architecture  : x86_64

Comment 6 errata-xmlrpc 2015-11-19 05:21:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2207.html


Note You need to log in before you can comment on or make changes to this bug.